# List bank account activities

**GET** `/bank-accounts/{bank_account_id}/activities`

List the activity line items on a bank account, newest first. Each line item is one posting to the account, as it would appear on a bank statement, with the account's running balance after it posted. Filter by posting time with the `effective_at_*` parameters.

> **Note: Eventual consistency**
>
> The bank account activities endpoint is eventually consistent, typically activities within a few seconds are reflected on this endpoint but occasionally it may lag up to a few minutes. Ordering is always guaranteed and activities will never appear out of order.

### Path Parameters

- `bank_account_id` `string` _(required)_ — Unique identifier for the bank account.

### Query Parameters

- `effective_at_gt` `date-time` — Return activities where the `settlement_date` field is greater than this value. Cannot be combined with `effective_at_gte`.
- `effective_at_gte` `date-time` — Return activities where the `settlement_date` field is greater than or equal to this value. Cannot be combined with `effective_at_gt`.
- `effective_at_lt` `date-time` — Return activities where the `settlement_date` field is less than this value. Cannot be combined with `effective_at_lte`.
- `effective_at_lte` `date-time` — Return activities where the `settlement_date` field is less than or equal to this value. Cannot be combined with `effective_at_lt`.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an `activity_line_item_id` that defines your place in the list. For instance, if you make a list request and receive 20 activities, starting with `lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa`, your subsequent call can include `ending_before=lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa` in order to fetch the previous page of the list.
- `limit` `number` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an `activity_line_item_id` that defines your place in the list. For instance, if you make a list request and receive 20 activities, ending with `lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa`, your subsequent call can include `starting_after=lent_2zEuf3oP0xR9sYdZ5oLT6SvXpQa` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/bank-accounts/<bank_account_id>/activities' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "activity_line_items": [
    {
      "activity_line_item_id": "lent_2zEuf7tU4aV3wCgD9rPX0XyZaPv",
      "amount": 25000,
      "bank_account_id": "bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC",
      "description": "Internal transfer",
      "running_balance": 125000,
      "settlement_date": "2024-01-17T15:04:05Z",
      "transaction_id": "book_2zEuf5rS2zT1uAfB7qNV8UwXzOt",
      "type": "Book"
    },
    {
      "activity_line_item_id": "lent_2zEuf6sT3zU2vBfC8qOW9VxYzOu",
      "amount": -50000,
      "bank_account_id": "bacc_2YHAXVyuS2xcJW12Buh9zsxV7vC",
      "description": "Vendor payment",
      "running_balance": 100000,
      "settlement_date": "2024-01-16T18:22:41Z",
      "transaction_id": "wire_2zEuf4qR1yS0tZeA6pMU7TvWyNs",
      "type": "Wire"
    }
  ],
  "currency_code": "USD",
  "has_more": true
}
```
